/*
 * GIMP Tategaki Plug-in -- This is a plug-in for The GIMP 2
 * Copyright (C) 2006-2017 OHTSUKA, Yoshio <ohtsuka.yoshio@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */
#ifndef TATEGAKI_TYPESET_OBJ_DOT_H
#define TATEGAKI_TYPESET_OBJ_DOT_H
#include <math.h>
#include <ft2build.h>
#include FT_FREETYPE_H
#include <glib.h>
#include "typesetter.h"

//Dot(T_E_)͔ŖʂL`sTypesetIuWFNgA
//SĂTypesetObj狤ʂėpAO[oȓ
//IuWFNgłB
//`̊_́ATTBALTR֌WȂAɍƂB

typedef enum {
	DOT_TYPE_NONE,
	DOT_TYPE_MARU,
	DOT_TYPE_GOMA
} DotType;
#define DOT_TYPE_COUNT 3

extern void dot_init(Typesetter *typ);
extern void dot_get_size (DotType dottype, double *advance, double *offset, Rect *realsize, Rect *typo_size);
extern void dot_render (DotType dottype, Color color, BufferContainer *buf);
extern void dot_destroy();
#endif