cd ..
set fp [open COPYING r]
set copying [read $fp]
close $fp

cd src

set files [list]
foreach f [glob -- *.c] { lappend files $f }
foreach f [glob -- *.h] { lappend files $f }
foreach f [glob -- *.h.in] { lappend files $f }
foreach f $files {
    set fp [open $f r]
    fconfigure $fp -encoding cp932
    set oldtxt [read $fp]
    close $fp

    set newtxt [regsub -- {^/\*.+?\n \*/\n} $oldtxt $copying]

    set fp [open ${f}.temp w]
    fconfigure $fp -encoding cp932
    puts -nonewline $fp $newtxt
    close $fp

    file atime ${f}.temp [file atime $f]

    file delete $f
    file rename ${f}.temp $f
}
